=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2010-09-09 13:02:55 +0000
+++ bzrlib/bzrdir.py	2010-09-16 09:20:53 +0000
@@ -524,7 +524,10 @@
         return self._available_backup_name(base)
 
     def _available_backup_name(self, base):
-        """Find a non-existing backup file name based on base."""
+        """Find a non-existing backup file name based on base.
+
+        See bzrlib.osutils.available_backup_name about race conditions.
+        """
         return osutils.available_backup_name(base, self.root_transport.has)
 
     def backup_bzrdir(self):

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2010-09-09 20:20:15 +0000
+++ bzrlib/osutils.py	2010-09-16 09:20:53 +0000
@@ -2361,10 +2361,12 @@
 
     This will *not* create anything, this only return a 'free' entry.  This
     should be used for checking names in a directory below a locked
-    tree/branch/repo to avoid race conditions.
+    tree/branch/repo to avoid race conditions. This is LBYL (Look Before You
+    Leap) and generally discouraged.
 
     :param base: The base name.
-    :param exists: A callable returning True if the passed path exists.
+
+    :param exists: A callable returning True if the path parameter exists.
     """
     counter = 1
     name = "%s.~%d~" % (base, counter)

